//--------------------------------------------------------------------
//   Define.H
//   Global Defines and Macros Header File for AVR.
//
//   Module No: HG-B40
//   MCU Type : AVR
//   Compiler : WinAVR with AVR Studio 4
//   Copyright (c)Hagisonic. All Rights Reserved.
//--------------------------------------------------------------------

#ifndef DEFINE_HEADER
#define DEFINE_HEADER

// Code compatibility to new AVR-libc
// outb(), inb(), BV(), sbi(), cbi(), sei(), cli()
#ifndef outp
	#define outp(data,addr)	addr=(data)
#endif
#ifndef inp
	#define inp(addr)		(addr)
#endif
#ifndef outb
	#define outb(addr,data)	addr=(data)
#endif
#ifndef inb
	#define inb(addr)		(addr)
#endif
#ifndef BV
	#define BV(bit)			(1<<(bit))
#endif
#ifndef cbi
	#define cbi(reg,bit)	reg&=~(BV(bit))
#endif
#ifndef sbi
	#define sbi(reg,bit)	reg|=(BV(bit))
#endif
#ifndef cli
	#define cli()			__asm__ __volatile__ ("cli" ::)
#endif
#ifndef sei
	#define sei()			__asm__ __volatile__ ("sei" ::)
#endif

#endif	// DEFINE_HEADER
