//--------------------------------------------------------------------
//   ExtInt.c
//   External Interrupt Routine for Atmel AVR
//
//   Module No: HG-B40
//   MCU Type : Atmega8
//   Compiler : WinAVR with AVR Studio 4
//   Copyright (c)Hagisonic. All Rights Reserved.
//--------------------------------------------------------------------

#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdio.h>
#include <math.h>

#include "Define.h"
#include "ExtInt.h"

volatile unsigned int measure_time;

SIGNAL(SIG_INTERRUPT1)	// Sonic Receive
{
	measure_time = TCNT1;
}

void ExtInt1_Init(void)
{
	MCUCR = MCUCR | (1<<ISC11) | (1<<ISC10);	// MCUCR = MCU Control Register; Rising Edge for Interrupt 1
	GICR  = GICR | (1<<INT1);					// General Interrupt Control Register; External Interrupt Request 1 Enable

	measure_time = 0;
}

unsigned int Get_DistanceTime()
{
	unsigned int time;

	time = measure_time;
	measure_time = 0;

	return time;
}
