//--------------------------------------------------------------------
//   TimerInt.c
//   Timer Interrupt Routine
//
//   Module No: HG-B40
//   MCU Type : Atmega8
//   Compiler : WinAVR with AVR Studio 4
//   Copyright (c)Hagisonic. All Rights Reserved.
//--------------------------------------------------------------------

#include <avr/io.h>
#include <avr/interrupt.h>

#include "Define.h"
#include "TimerInt.h"

SIGNAL(SIG_OVERFLOW1)
{
	TCCR1B = 0x00;		// Timer1 Stop
}

void TimerInt1_Init(void)
{
	TIMSK |= (1<<TOIE1);		// Timer/Counter 1 Overflow Interrupt Enable
    TCNT1 = 0x00;
}

void TimerInt1_Start(void)
{
    TCNT1 = 0x00;
	TCCR1B = 0x02;				// CPU_CLOCK : 8MHz
								// The Prescallar Set to CPU_CLOCK/8 = 8MHz/8 = 1MHz = 1000000
								// Ultrasonic Speed : (3310.6t)(m)/sec (t=Celsius temperature)
								// 					  = 346m/sec (t=25)
								// distance for 1 interrupt = 346000 / 1000000 = 0.346mm
}
